## pylons 1.0.1

=== pylons/docs/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

web:
	mkdir -p _build/web _build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) _build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web _build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

## pylons 1.0

=== debian/changelog ===
pylons (1.0-2) unstable; urgency=low

  * Add ipython_0.11_compatibility patch (thanks to Julian Taylor)
  * Add build-arch and build-indep targets to debian/rules 
  * Switch from dh_pysupport to dh_python2
  * Source format changed to 3.0 (quilt)
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 02 Aug 2011 21:17:36 +0200

pylons (1.0-1) experimental; urgency=low

  * New upstream release
  * python-pudge removed from Suggests (package is no longer in Debian)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 28 May 2010 20:51:33 +0200

pylons (1.0~rc1-1) experimental; urgency=low

  [ Oleksandr Moskalenko ]
  * debian/control: Switched maintainer to DPMT.
  * debian/copyright: Switched debian packaging license to BSD to sync with
    upstream.

  [ Piotr Ożarowski ]
  * New upstream release
    - python-routes minimum version bumped to 1.12
  * Install UPGRADING file in /usr/share/doc/python-pylons/

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 02 Mar 2010 22:33:25 +0100

pylons (1.0~b1-1) experimental; urgency=low

  * New upstream release
  * python-beaker minimum version bumped to 1.3
  * python-jinja, *elementtree, python-turbokid and python-cherrypy3
    removed from Recommends/Suggests

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 06 Feb 2010 17:48:36 +0100

pylons (0.10~b1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 06 Feb 2010 17:20:58 +0100

pylons (0.9.7-2) unstable; urgency=low

  * Move templates to /usr/share/paster_templates (closes: #526767)
    - depend on python-pastescript >= 1.7.3-5
  * Move media files to /usr/share/python-pylons/
  * Bump Standards-Version to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 30 Nov 2009 00:26:47 +0100

pylons (0.9.7-1) unstable; urgency=low

  [ Oleksandr Moskalenko ]
  * New upstream release

  [ Piotr Ożarowski ]
  * Bump python-routes, python-webhelpers, python-beaker, python-pastedeploy,
    python-simplejson and python-webob minimum required versions
  * Set the minimum required SQLAlchemy version to >= 0.5
  * Add python-pkg-resources to Depends
  * debian/copyright updated (added a note about templates)

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 23 Feb 2009 21:10:38 +0100

pylons (0.9.7~rc6-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Feb 2009 20:08:50 +0100

pylons (0.9.7~rc5-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Updated depends versions for beaker, pastescript, formencode,
      simplejson, mako, webob, weberror, webtest.
    - Added suggests - python-jinja2, libapache2-mod-wsgi, python-cherrypy3,
      python-turbokid, python-migrate.
  * debian/copyright: Updated copyright information and link to GPL.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Feb 2009 11:21:06 -0700

pylons (0.9.7~rc4-1) experimental; urgency=low

  * New upstream release
  * Add python-webtest to Depends
  * Bump python-beaker, python-formencode, python-mako, python-pastescript and
    python-webhelpers minimum required versions
  * Add python-docutils to suggested packages

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 25 Nov 2008 10:09:35 +0100

pylons (0.9.7~rc3-1) experimental; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release
  * bump python-beaker, python-paste, python-pastescript, python-formencode,
    python-simplejson, python-nose, python-webob and python-weberror minimum
    required versions

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 06 Nov 2008 17:50:04 +0100

pylons (0.9.7~rc2-1) experimental; urgency=low

  * New upstream release
  * bump python-routes, python-beaker, python-webob and python-simplejson
    minimum required versions

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 30 Sep 2008 20:05:28 +0200

pylons (0.9.7~rc1-1) experimental; urgency=low

  [ Christoph Haas ]
  * add python-tempita, python-webob and python-weberror to Depends
  * bump python-webhelpers, python-beaker, python-paste, python-pastescript,
    python-formencode, python-nose and python-mako minimum required versions

  [ Piotr Ożarowski ]
  * New upstream release
  * add python-jinja and ipython to Suggests
  * bump python-pastedeploy, python-decorator, python-mako, python-genshi and
    python-simplejson minimum required versions
  * tests are no longer installed
  * s/python-elementree/python-elementtree (without any typos this time,
    really closes: #485407)
  * Update debian/watch file to handle "rc" versions correctly

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 15 Aug 2008 15:07:12 +0200

pylons (0.9.6.2-2) unstable; urgency=low

  * Typos fixed in:
    + debian/NEWS
    + debian/control (python-elementree in Suggests, closes: #485407)
  * python-nose required version bumped to 0.9.3 (LP: #182384)
  * Bump Standards-Version to 3.8.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 08 Jul 2008 20:06:43 +0200

pylons (0.9.6.2-1) unstable; urgency=high

  [ Piotr Ożarowski ]
  * New upstream release (security fix)
    + minimum required python-routes' version bumped to 1.8,
      python-beaker's bumped to 0.8.1
  * Move python-myghty from Depends to Suggests
  * Move python-support to Build-Depends-Indep
  * Remove dpatch stuff, not needed anymore (thanks Christoph)
  * Standards-version bumped to 3.7.3

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 28 May 2008 22:42:46 +0200

pylons (0.9.6.1-1) unstable; urgency=low

  * New upstream release
  * Add Homepage field
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Remove README.Debian as python-decorator is already in the archive
  * Remove debian/dirs file (no longer needed)


=== debian/control ===
Source: pylons
Section: web
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 5), quilt
Build-Depends-Indep: python-all (>= 2.6.6-3), python-setuptools
Standards-Version: 3.9.2
Homepage: http://pylonshq.com/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pylons/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pylons/trunk/

Package: python-pylons
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-routes (>= 1.12),
 python-paste (>= 1.7.2), python-pastedeploy (>= 1.3.3), python-pastescript (>= 1.7.3-5~),
 python-webob (>= 0.9.6.1), python-weberror (>= 0.10.1), python-webtest (>= 1.1),
 python-beaker (>= 1.3), python-mako (>= 0.2.4), python-tempita (>= 0.2),
 python-formencode (>= 1.2.1), python-webhelpers (>= 0.6.4), python-decorator (>= 2.3.2),
 python-simplejson (>= 2.0.8), python-nose (>= 0.10.4), python-pkg-resources
Recommends: python-sqlalchemy (>= 0.5) | python-sqlobject
Suggests: python-jinja2, python-genshi (>= 0.4.4), python-cheetah (>= 1.0-1.1),
 python-kid (>= 0.9.1-3), python-myghty (>= 1.1), python-pygments (>= 0.7),
 python-migrate, python-docutils (>= 0.4),
 ipython, libapache2-mod-wsgi
Description: Python web framework emphasizing flexibility and rapid development
 Pylons combines the very best ideas from the worlds of Ruby, Python and Perl,
 providing a structured but extremely flexible Python web framework. It's also
 one of the first projects to leverage the emerging WSGI standard, which allows
 extensive re-use and flexibility, but only if you need it. Out of the box,
 Pylons aims to make web development fast, flexible and easy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
package=python-pylons

include /usr/share/quilt/quilt.make

clean: unpatch
	dh_testdir
	dh_testroot
	rm -rf build
	find . -name '*\.py[co]' -delete
	find . -name '\._*' -delete
	find . -name '\.DS_Store' -delete
	dh_clean

build:
build-arch:
build-indep:

install: patch
	dh_testdir
	dh_testroot
	dh_installdirs
	python setup.py install \
		--no-compile --prefix=/usr \
		--root $(CURDIR)/debian/$(package)

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_install
	dh_installexamples
	dh_compress -X.py
	dh_fixperms
	dh_python2
	find debian/$(package) -type f -perm 755 | xargs -r chmod 644
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## pylons 1.0.1

=== debian/changelog ===
pylons (1.0.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
    - no longer tries to import webob.multidict (closes: 721864)
    - add python-markupsafe to Depends
    - bump python-routes, python-beaker, python-paste, python-pastescript,
      python-pastedeploy, python-formencode, python-simplejson,
      python-decorator, python-nose, python-mako, python-weberror,
      python-webtest, python-tempita and python-webob's minimum required
      versions
  * ipython_0.11_compatibility patch removed (merged upstream)
  * Remove Pylons.egg-info, tests/test_units/cache and
    tests/test_units/session directories in clean target
  * quilt's targets no longer used in debian/rules
  * Standards-Version bumped to 3.9.5 (no changes needed)

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 01 Dec 2013 21:00:37 +0100

=== debian/control ===
Source: pylons
Section: web
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 5), dh-python
Build-Depends-Indep: python-all (>= 2.6.6-3), python-setuptools
Standards-Version: 3.9.5
Homepage: http://pylonshq.com/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pylons/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pylons/trunk/

Package: python-pylons
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-routes (>= 1.12.3),
 python-paste (>= 1.7.5.1), python-pastedeploy (>= 1.5.0), python-pastescript (>= 1.7.4),
 python-webob (>= 1.1.1), python-weberror (>= 0.10.3), python-webtest (>= 1.3.1),
 python-beaker (>= 1.5.4), python-mako (>= 0.5.0), python-tempita (>= 0.5.1),
 python-formencode (>= 1.2.4), python-webhelpers (>= 0.6.4), python-decorator (>= 3.3.2),
 python-simplejson (>= 2.2.1), python-nose (>= 1.1.2), python-pkg-resources,
 python-markupsafe (>= 0.15)
Recommends: python-sqlalchemy (>= 0.5) | python-sqlobject
Suggests: python-jinja2, python-genshi (>= 0.6), python-cheetah (>= 1.0-1.1),
 python-kid (>= 0.9.1-3), python-myghty (>= 1.1), python-pygments (>= 0.7),
 python-migrate, python-docutils (>= 0.4),
 ipython, libapache2-mod-wsgi
Description: Python web framework emphasizing flexibility and rapid development
 Pylons combines the very best ideas from the worlds of Ruby, Python and Perl,
 providing a structured but extremely flexible Python web framework. It's also
 one of the first projects to leverage the emerging WSGI standard, which allows
 extensive re-use and flexibility, but only if you need it. Out of the box,
 Pylons aims to make web development fast, flexible and easy.

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,10 @@
 #export DH_VERBOSE=1
 package=python-pylons
 
-include /usr/share/quilt/quilt.make
-
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
-	rm -rf build
+	rm -rf build Pylons.egg-info tests/test_units/cache tests/test_units/session
 	find . -name '*\.py[co]' -delete
 	find . -name '\._*' -delete
 	find . -name '\.DS_Store' -delete
@@ -19,7 +17,7 @@
 build-arch:
 build-indep:
 
-install: patch
+install:
 	dh_testdir
 	dh_testroot
 	dh_installdirs

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=uversionmangle=s/rc/~rc/ \
http://pypi.python.org/packages/source/P/Pylons/Pylons-(.*)\.tar\.gz

## pylons 1.0.2

=== debian/changelog ===
pylons (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * dont_use_removed_exception_attribute patch removed, applied upstream
  * debian/rules uses now dh sequencer + pybuild build system
  * debian/watch: use pypi.debian.net redirector
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 22 Jul 2015 22:11:25 +0200

pylons (1.0.1-3) unstable; urgency=medium

  * Replace the WebOb exception patch by a more complete one from
    Darren Yin.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 08 Oct 2014 14:49:01 +0200

pylons (1.0.1-2) unstable; urgency=medium

  [ Andrew Shadura ]
  * Add a patch from Uriy Zhuravev so that we don't use exception attribute
    which WebOb 1.4 has removed.

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 08 Sep 2014 22:16:31 +0200

=== debian/control ===
Source: pylons
Section: web
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 9), dh-python
Build-Depends-Indep: python-all, python-setuptools,
# tests:
 python-coverage, python-routes,
 python-paste (>= 1.7.5.1), python-pastedeploy (>= 1.5.0), python-pastescript (>= 1.7.4),
 python-webob (>= 1.1.1), python-weberror (>= 0.10.3), python-webtest (>= 1.3.1),
 python-beaker (>= 1.5.4), python-mako (>= 0.5.0), python-tempita (>= 0.5.1),
 python-formencode (>= 1.2.4), python-webhelpers (>= 0.6.4), python-decorator (>= 3.3.2),
 python-simplejson (>= 2.2.1), python-nose (>= 1.1.2), python-pkg-resources,
 python-markupsafe (>= 0.15), python-jinja2, python-genshi (>= 0.6), python-cheetah (>= 1.0-1.1),
 python-kid (>= 0.9.1-3), python-myghty (>= 1.1), python-pygments (>= 0.7),
 python-migrate, python-docutils (>= 0.4)
Standards-Version: 3.9.6
Homepage: http://pylonshq.com/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pylons/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pylons/trunk/

Package: python-pylons
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
Recommends: python-sqlalchemy (>= 0.5) | python-sqlobject
Suggests: python-jinja2, python-genshi (>= 0.6), python-cheetah (>= 1.0-1.1),
 python-kid (>= 0.9.1-3), python-myghty (>= 1.1), python-pygments (>= 0.7),
 python-migrate, python-docutils (>= 0.4),
 ipython, libapache2-mod-wsgi
Description: Python web framework emphasizing flexibility and rapid development
 Pylons combines the very best ideas from the worlds of Ruby, Python and Perl,
 providing a structured but extremely flexible Python web framework. It's also
 one of the first projects to leverage the emerging WSGI standard, which allows
 extensive re-use and flexibility, but only if you need it. Out of the box,
 Pylons aims to make web development fast, flexible and easy.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE=test

%:
	dh $@ --with python2 --buildsystem pybuild

override_dh_fixperms:
	dh_fixperms
	find debian/python-pylons/usr/share/ -type f -perm 755 | xargs -r chmod 644

## pylons 1.0.3

=== debian/changelog ===
pylons (1.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * New upstream release
  * Replace move_data_outside_site-packages.patch with
    0001-move-media_path-outside-dist-packages.patch due to change in
    pastescript 2.0.2-1
  * Standards-Version bumped to 4.3.0 (no changes needed)
  * Remove Oleksandr from Uploaders. Thanks for all your work! (closes: 820134)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 29 Dec 2018 22:24:44 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Pylons/Pylons-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
